%global srcname latexcodec

Name:           python-%{srcname}
Version:        1.0.5
Release:        6%{?dist}
Summary:        Lexer and codec to work with LaTeX code in Python

License:        MIT
URL:            https://github.com/mcmtroffaes/latexcodec/
Source0:        %pypi_source
# Add support for hyphen.
# Upstream commit b1ee5dbe71f295e03500681a0e7baf49aa47ff01
Patch0:         %{name}-hyphen.patch
BuildArch:      noarch

BuildRequires:  python3-devel
BuildRequires:  python3dist(nose)
BuildRequires:  python3dist(nose-cov)
BuildRequires:  python3dist(setuptools)
BuildRequires:  python3dist(six)
BuildRequires:  python3dist(sphinx)

%description
This package contains a lexer and codec to work with LaTeX code in Python.

%package -n python3-%{srcname}
Summary:        Lexer and codec to work with LaTeX code in Python
Requires:       python3dist(six)

Provides:       bundled(jquery)
Provides:       bundled(js-underscore)
%{?python_provide:%python_provide python3-%{srcname}}

# This can be removed when F29 reaches EOL
Obsoletes:      python2-%{srcname} < 1.0.5-6
Provides:       python2-%{srcname} = %{version}-%{release}

%description -n python3-%{srcname}
This package contains a lexer and codec to work with LaTeX code in Python.

%prep
%autosetup -p0 -n %{srcname}-%{version}

# Fix "TypeError: a bytes-like object is required, not 'str'"
sed -i 's/"rb"/"rt"/' doc/conf.py

# Update the sphinx theme name
sed -i 's/default/classic/' doc/conf.py

%build
%py3_build
PYTHONPATH=$PWD make -C doc html SPHINXBUILD=%{_bindir}/sphinx-build-3
rm -f doc/_build/html/.buildinfo

%install
%py3_install

%check
nosetests-%{python3_version} -v

%files -n python3-%{srcname}
%doc doc/_build/html/*
%license LICENSE.rst
%{python3_sitelib}/%{srcname}*

%changelog
* Thu Nov 22 2018 Jerry James <loganjerry@gmail.com> - 1.0.5-6
- Drop python2 subpackage (bz 1647376)
- Add -hyphen patch

* Sat Jul 14 2018 Fedora Release Engineering <releng@fedoraproject.org> - 1.0.5-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_29_Mass_Rebuild

* Tue Jun 19 2018 Miro Hrončok <mhroncok@redhat.com> - 1.0.5-4
- Rebuilt for Python 3.7

* Fri Feb 09 2018 Fedora Release Engineering <releng@fedoraproject.org> - 1.0.5-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_28_Mass_Rebuild

* Thu Jul 27 2017 Fedora Release Engineering <releng@fedoraproject.org> - 1.0.5-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_27_Mass_Rebuild

* Fri Jun 16 2017 Jerry James <loganjerry@gmail.com> - 1.0.5-1
- New upstream version

* Sat Feb 11 2017 Fedora Release Engineering <releng@fedoraproject.org> - 1.0.4-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_26_Mass_Rebuild

* Mon Dec 19 2016 Miro Hrončok <mhroncok@redhat.com> - 1.0.4-2
- Rebuild for Python 3.6

* Thu Sep 22 2016 Jerry James <loganjerry@gmail.com> - 1.0.4-1
- New upstream version

* Tue Jul 19 2016 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.0.3-2
- https://fedoraproject.org/wiki/Changes/Automatic_Provides_for_Python_RPM_Packages

* Sat Mar 26 2016 Jerry James <loganjerry@gmail.com> - 1.0.3-1
- New upstream version

* Fri Mar  4 2016 Jerry James <loganjerry@gmail.com> - 1.0.2-1
- New upstream version

* Tue Feb  2 2016 Jerry James <loganjerry@gmail.com> - 1.0.1-1
- Initial RPM
